Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.utility.displaySettings
Class PieChartDisplaySettings

    java.lang.Object
      kieker.webgui.web.utility.displaySettings.PieChartDisplaySettings

All Implemented Interfaces:
  IDisplayConnectorSettings

    public final class PieChartDisplaySettings

extends Object
implements IDisplayConnectorSettings

This is a settings container for a pie chart within the cockpit.

Author:
  Nils Christian Ehmke

Constructor Summary
`PieChartDisplaySettings()` Creates a new instance of this class.

Method Summary
`boolean` | `isUsingFilledChart()`
`boolean` | `isUsingShadows()`
`boolean` | `isUsingVisibleDataLabels()`
`boolean` | `isUsingVisibleLegend()`
`void` | `setUsingFilledChart(boolean usingFilledChart)`
`void` | `setUsingShadows(boolean usingShadows)`
`void` | `setUsingVisibleDataLabels(boolean usingVisibleDataLabels)`
`void` | `setUsingVisibleLegend(boolean usingVisibleLegend)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PieChartDisplaySettings

    public PieChartDisplaySettings()

  Creates a new instance of this class.

Method Detail

### isUsingShadows

    public boolean isUsingShadows()

### setUsingShadows

    public void setUsingShadows(boolean usingShadows)

### isUsingFilledChart

    public boolean isUsingFilledChart()

### setUsingFilledChart

    public void setUsingFilledChart(boolean usingFilledChart)

### isUsingVisibleDataLabels

    public boolean isUsingVisibleDataLabels()

### setUsingVisibleDataLabels

    public void setUsingVisibleDataLabels(boolean usingVisibleDataLabels)

### isUsingVisibleLegend

    public boolean isUsingVisibleLegend()

### setUsingVisibleLegend

    public void setUsingVisibleLegend(boolean usingVisibleLegend)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.